Freeciv-3.1: server_option Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
server_option Struct Reference

## Data Fields

struct option | base_option
char * | name
char * | description
char * | help_text
unsigned char | category
bool | desired_sent
bool | is_changeable
bool | is_visible
enum setting_default_level | setdef
union { |
struct { |
bool value |
bool def |
} boolean |
struct { |
int value |
int def |
int min |
int max |
} integer |
struct { |
char * value |
char * def |
} string |
struct { |
int value |
int def |
struct strvec * support_names |
struct strvec * pretty_names |
} enumerator |
struct { |
unsigned value |
unsigned def |
struct strvec * support_names |
struct strvec * pretty_names |
} bitwise |
}; |  |

## Detailed Description

Definition at line 4100 of file options.c.

## Field Documentation

## ◆ [union]

union { ... } server_option

## ◆ base_option

struct option server_option::base_option

Definition at line 4101 of file options.c.

Referenced by server_option_free().

## ◆ [struct]

struct { ... } server_option::bitwise

Referenced by server_option_bitwise_set(), server_option_bitwise_support_name(), and server_option_free().

## ◆ [struct]

struct { ... } server_option::boolean

Referenced by handle_server_setting_bool(), and server_option_bool_set().

## ◆ category

unsigned char server_option::category

Definition at line 4106 of file options.c.

Referenced by handle_server_setting_const().

## ◆ def [1/4]

bool server_option::def

Definition at line 4116 of file options.c.

Referenced by handle_server_setting_bool(), server_option_bitwise_support_name(), server_option_enum_support_name(), and server_option_free().

## ◆ def [2/4]

int server_option::def

Definition at line 4121 of file options.c.

## ◆ def [3/4]

char* server_option::def

Definition at line 4126 of file options.c.

## ◆ def [4/4]

unsigned server_option::def

Definition at line 4138 of file options.c.

## ◆ description

char* server_option::description

Definition at line 4104 of file options.c.

Referenced by handle_server_setting_const(), and server_option_free().

## ◆ desired_sent

bool server_option::desired_sent

Definition at line 4107 of file options.c.

Referenced by resend_desired_settable_options().

## ◆ [struct]

struct { ... } server_option::enumerator

Referenced by server_option_enum_set(), server_option_enum_support_name(), and server_option_free().

## ◆ help_text

char* server_option::help_text

Definition at line 4105 of file options.c.

Referenced by handle_server_setting_const(), and server_option_free().

## ◆ [struct]

struct { ... } server_option::integer

Referenced by server_option_int_set().

## ◆ is_changeable

bool server_option::is_changeable

Definition at line 4108 of file options.c.

Referenced by resend_desired_settable_options().

## ◆ is_visible

bool server_option::is_visible

Definition at line 4109 of file options.c.

Referenced by resend_desired_settable_options(), and server_option_next_valid().

## ◆ max

int server_option::max

Definition at line 4121 of file options.c.

Referenced by server_option_int_set(), and server_option_next_valid().

## ◆ min

int server_option::min

Definition at line 4121 of file options.c.

## ◆ name

char* server_option::name

Definition at line 4103 of file options.c.

Referenced by handle_server_setting_const(), server_option_bitwise_set(), server_option_bool_set(), server_option_enum_set(), server_option_free(), server_option_int_set(), and server_option_str_set().

## ◆ pretty_names

struct strvec* server_option::pretty_names

Definition at line 4133 of file options.c.

Referenced by server_option_free().

## ◆ setdef

enum setting_default_level server_option::setdef

Definition at line 4110 of file options.c.

Referenced by desired_settable_options_update().

## ◆ [struct]

struct { ... } server_option::string

Referenced by server_option_free(), and server_option_str_set().

## ◆ support_names

struct strvec* server_option::support_names

Definition at line 4132 of file options.c.

Referenced by server_option_bitwise_set(), server_option_bitwise_support_name(), server_option_enum_set(), server_option_enum_support_name(), and server_option_free().

## ◆ value [1/4]

bool server_option::value

Definition at line 4115 of file options.c.

Referenced by desired_settable_options_update(), handle_server_setting_bool(), resend_desired_settable_options(), server_option_bitwise_set(), server_option_bitwise_support_name(), server_option_bool_set(), server_option_enum_set(), server_option_enum_support_name(), server_option_free(), server_option_int_set(), and server_option_str_set().

## ◆ value [2/4]

int server_option::value

Definition at line 4120 of file options.c.

## ◆ value [3/4]

char* server_option::value

Definition at line 4125 of file options.c.

## ◆ value [4/4]

unsigned server_option::value

Definition at line 4137 of file options.c.